You are viewing the legacy Classic API reference.
This leads-only API (
api.dealmachine.com/public/v1) is kept for existing integrations.
The current DealMachine API covers property search, owner contact data, enrichment, lists, direct mail, the CLI and the MCP server, and is documented at
api.docs.dealmachine.com.
Go to the current API docs →
DealMachine Classic Public API Reference (Legacy)
Reference for the DealMachine Classic Public API. Base URL: https://api.dealmachine.com/public/v1/
The DealMachine Public API gives members of DealMachine abilities to sync their account across other platforms.
Overview
This API is in the early stages. Right now you can only add leads and update them. We also give you access to the ids of other objects you'll need to update your leads (lead statuses, custom fields, etc.)
Authentication
Bearer Authentication. You can find your API Key in the Automation->API Docs section on your DealMachine account.
Rate limit
The DealMachine Public API allows 10 request per second and 5,000 request per day.
Leads
Get your leads, add a lead, or permanently delete a lead.
Example response:
{
error: null,
data: {
"id": "97893938",
"lead_status": {
"value": 205,
"label": "Pending Approval"
},
"assigned_to": null,
"tags": [],
"lead_source": "DealMachine Driving For Dollars Plan",
"creator": {
"value": 6434,
"label": "Dave Oster"
},
"lead_date_updated": true,
"lead_date_created": true,
"last_exported_date": true,
"lists": [],
"number_of_stacked_lists": 0,
"campaign_status": {
"value": "Mail Sequence Not Started",
"label": "Mail Sequence Not Started"
},
"mailer_campaign": {
"value": 0,
"label": "No Mail Sequence"
},
"total_times_mailers_were_sent": 0,
"last_mailer_sent_date": null,
"primary_image": null,
"image_info": null,
"did_skip_trace": true,
"skip_trace_successful": true,
"mailing_addresses": [],
"number_of_mailing_addresses": 1,
"phone_numbers": [],
"number_of_phone_numbers": 0,
"email_addresses": [],
"number_of_email_addresses": 0,
"sale_price": "875000",
"sale_date": "2019-11-13",
"calculated_total_value": "1211073",
"calculated_improvement_value": "1000500",
"calculated_land_value": "443500",
"tax_market_improvements_percent": "0.69",
"mortgage_amount": "700000",
"lender_name": "GERSHMAN INVESTMENT CORP",
"mortgage_date": "2019-11-13",
"mortgage_term": "360",
"mortgage_due_date": "2049-12-01",
"second_mortgage_amount": "189350",
"equity_percent": "0.29",
"preforeclosure_status": "",
"building_square_feet": "4653",
"units_count": "1",
"lot_acreage": 1.18,
"lot_square_feet": "51401",
"total_baths": "5.50",
"total_bedrooms": "4",
"year_built": "1929",
"property_type": {
"value": null,
"label": null
},
"property_use_standardized": {
"value": "1001",
"label": "Single Family Residential"
},
"parcel_id": "20J-4-3-019-6",
"property_address_full": "1170 Hampton Park Dr, Saint Louis, Mo 63117",
"property_address_line_1": "1170 Hampton Park Dr",
"property_address_line_2": "",
"property_address_city": "Saint Louis",
"property_address_county": {
"value": "29189",
"label": "St Louis"
},
"property_address_state": "MO",
"property_address_zipcode": "63117",
"property_latitude": "38.633175797",
"property_longitude": "-90.33213897",
"property_latlng": "38.633175797,-90.33213897",
"owner_type": "Owner Occupied",
"has_usps_address": true,
"is_vacant": false,
"owner_has_multiple_properties": true,
"owner_name": "David & Taylor Oster",
"owner_first_name": "David",
"owner_last_name": "Oster",
"owner_address_full": "1170 Hampton Park Dr, Saint Louis, MO 63117",
"owner_address_line_1": "1170 Hampton Park Dr",
"owner_address_line_2": "",
"owner_address_city": "Saint Louis",
"owner_address_state": "MO",
"owner_address_zipcode": "63117"
}
}
GETGet Leads
GET https://api.dealmachine.com/public/v1/leads/?limit=25&after=0
This request returns the team's leads. You can paginate through them using limit and after.
Monthly leads retrieved with Get Leads and Get A Lead API requests are based on DealMachine plan levels:
Starter - 10,000
Pro - 30,000
Teams - 100,000
Example response — Get Leads (200)
{
"error": null,
"data": [
{
"id": 2201089346,
"lead_status": {
"value": 205,
"label": "New Prospect"
},
"assigned_to": null,
"tags": [],
"recent_note": null,
"lead_source": "List Builder Plan",
"creator": {
"value": 6434,
"label": "Dave Oster"
},
"date_updated": "2025-10-04",
"date_created": "2025-10-04",
"last_exported_date": null,
"matched_lead": true,
"lists": [
{
"id": "592453",
"value": "592453",
"title": "Active Single Family Homes in Saint Louis, MO 63131",
"label": "Active Single Family Homes in Saint Louis, MO 63131",
"list_type": "build_list"
}
],
"number_of_stacked_lists": 1,
"campaign_status": {
"value": "Mail Sequence Not Started",
"label": "Mail Sequence Not Started"
},
"mail_sequence": {
"value": 0,
"label": "No Mail Sequence"
},
"mail_design": {
"value": 0,
"label": "No Mail Design"
},
"total_times_mail_was_sent": 0,
"last_mail_sent_date": null,
"primary_image": null,
"image_info": null,
"last_called_date": null,
"mailing_addresses": [],
"number_of_mailing_addresses": 1,
"phone_numbers": [],
"email_addresses": [],
"custom_field_58": {
"label": "Custom Field 1",
"value": null
},
"custom_field_91": {
"label": "SElect",
"value": null
},
"EstimatedValue": 602100,
"equity_amount": 602100,
"equity_percent": "100.00",
"TotalLoanAmt": 0,
"TotalLoanBalance": 0,
"TotalLoanPayment": 0,
"MtgLoanTypeCodes": [
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"MtgTypeFinancingCodes": [
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"NumOfMortgages": 0,
"owner_type": "Owner Occupied",
"unique_owner_type": "Owner Occupied",
"has_phone_number": false,
"has_email_address": false,
"contact_age": null,
"likely_owner": false,
"likely_renting": false,
"gender": null,
"marital_status": null,
"language_preference": null,
"education_model": null,
"occupation_group": null,
"occupation_code": null,
"net_asset_value": null,
"est_household_income": null,
"has_usps_address": true,
"owner_has_multiple_properties": false,
"number_of_properties_owned": null,
"house_flippers": false,
"owner_1_name": "Venkata Raja Anil Kumar T & E Suddala",
"owner_1_firstname": "Venkata Raja Anil Kumar T",
"owner_1_lastname": "Suddala",
"owner_2_name": "E Suddala ",
"owner_2_firstname": "E",
"owner_2_lastname": "Suddala",
"owner_address_full": "107 Majestic Dr, Valley Park, MO 63088",
"owner_address_line_1": null,
"owner_address_line_2": null,
"owner_address_city": "Valley Park",
"owner_address_state": "MO",
"owner_address_zip": "63088",
"owner_location": "Owner Occupied",
"is_corporate_owner": null,
"out_of_state_owner": false,
"is_vacant": false,
"has_solar": null,
"building_square_feet": 3206,
"total_bedrooms": 4,
"total_baths": "3.50",
"year_built": "2024",
"property_type": {
"value": "Single Family",
"label": "Single Family"
},
"ConstructionType": {
"value": null,
"label": null
},
"Style": {
"value": 15,
"label": "Conventional"
},
"EffectiveYearBuilt": "2024",
"units_count": null,
"SumBuildingsNbr": 1,
"SumCommercialUnits": null,
"Stories": {
"value": "200",
"label": "2 Stories"
},
"SumGarageSqFt": 640,
"HeatingType": {
"value": 2,
"label": "Electric"
},
"HeatingFuelType": {
"value": 2,
"label": "Electric"
},
"AirConditioning": {
"value": 1,
"label": "Central"
},
"Basement": {
"value": 2,
"label": "Full Basement"
},
"Deck": "No",
"ExteriorWalls": {
"value": 19,
"label": "Siding (Alum/Vinyl)"
},
"InteriorWalls": {
"value": null,
"label": null
},
"NumOfFireplaces": null,
"FloorCover": {
"value": null,
"label": null
},
"Garage": {
"value": 1,
"label": "Attached Garage"
},
"Driveway": {
"value": null,
"label": null
},
"other_rooms": "",
"Pool": {
"value": null,
"label": "No"
},
"Patio": {
"value": null,
"label": null
},
"Porch": {
"value": null,
"label": null
},
"RoofCover": {
"value": null,
"label": null
},
"RoofType": {
"value": null,
"label": null
},
"Sewer": {
"value": 1,
"label": "Municipal"
},
"Topography": {
"value": null,
"label": null
},
"Water": {
"value": 2,
"label": "Municipal"
},
"geographic_features": null,
"apn_parcel_id": "27Q-54-0460",
"lot_acreage": 0.176,
"LotSizeFrontageFeet": 111,
"LotSizeDepthFeet": 21,
"LegalDescription": "MAJESTIC POINTE LOT 25",
"SubdivisionName": "MAJESTIC POINTE",
... (truncated)
GETGet A Lead
GET https://api.dealmachine.com/public/v1/leads/:lead_id
This request returns a team's lead information.
Monthly leads retrieved with Get A Lead and Get Leads API requests are based on DealMachine plan levels:
Starter - 10,000
Pro - 30,000
Teams - 100,000
Example response — Get A Lead (200)
{
"error": null,
"data": {
"id": 2201089346,
"lead_status": {
"value": 205,
"label": "New Prospect"
},
"assigned_to": null,
"tags": [],
"recent_note": null,
"lead_source": "List Builder Plan",
"creator": {
"value": 6434,
"label": "Dave Oster"
},
"date_updated": "2025-10-04",
"date_created": "2025-10-04",
"last_exported_date": null,
"matched_lead": true,
"lists": [
{
"id": "592453",
"value": "592453",
"title": "Active Single Family Homes in Saint Louis, MO 63131",
"label": "Active Single Family Homes in Saint Louis, MO 63131",
"list_type": "build_list"
}
],
"number_of_stacked_lists": 1,
"campaign_status": {
"value": "Mail Sequence Not Started",
"label": "Mail Sequence Not Started"
},
"mail_sequence": {
"value": 0,
"label": "No Mail Sequence"
},
"mail_design": {
"value": 0,
"label": "No Mail Design"
},
"total_times_mail_was_sent": 0,
"last_mail_sent_date": null,
"primary_image": null,
"image_info": null,
"last_called_date": null,
"mailing_addresses": [],
"number_of_mailing_addresses": 1,
"phone_numbers": [],
"email_addresses": [],
"custom_field_58": {
"label": "Custom Field 1",
"value": null
},
"custom_field_91": {
"label": "SElect",
"value": null
},
"EstimatedValue": 602100,
"equity_amount": 602100,
"equity_percent": "100.00",
"TotalLoanAmt": 0,
"TotalLoanBalance": 0,
"TotalLoanPayment": 0,
"MtgLoanTypeCodes": [
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"MtgTypeFinancingCodes": [
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"NumOfMortgages": 0,
"owner_type": "Owner Occupied",
"unique_owner_type": "Owner Occupied",
"has_phone_number": false,
"has_email_address": false,
"contact_age": null,
"likely_owner": false,
"likely_renting": false,
"gender": null,
"marital_status": null,
"language_preference": null,
"education_model": null,
"occupation_group": null,
"occupation_code": null,
"net_asset_value": null,
"est_household_income": null,
"has_usps_address": true,
"owner_has_multiple_properties": false,
"number_of_properties_owned": null,
"house_flippers": false,
"owner_1_name": "Venkata Raja Anil Kumar T & E Suddala",
"owner_1_firstname": "Venkata Raja Anil Kumar T",
"owner_1_lastname": "Suddala",
"owner_2_name": "E Suddala ",
"owner_2_firstname": "E",
"owner_2_lastname": "Suddala",
"owner_address_full": "107 Majestic Dr, Valley Park, MO 63088",
"owner_address_line_1": null,
"owner_address_line_2": null,
"owner_address_city": "Valley Park",
"owner_address_state": "MO",
"owner_address_zip": "63088",
"owner_location": "Owner Occupied",
"is_corporate_owner": null,
"out_of_state_owner": false,
"is_vacant": false,
"has_solar": null,
"building_square_feet": 3206,
"total_bedrooms": 4,
"total_baths": "3.50",
"year_built": "2024",
"property_type": {
"value": "Single Family",
"label": "Single Family"
},
"ConstructionType": {
"value": null,
"label": null
},
"Style": {
"value": 15,
"label": "Conventional"
},
"EffectiveYearBuilt": "2024",
"units_count": null,
"SumBuildingsNbr": 1,
"SumCommercialUnits": null,
"Stories": {
"value": "200",
"label": "2 Stories"
},
"SumGarageSqFt": 640,
"HeatingType": {
"value": 2,
"label": "Electric"
},
"HeatingFuelType": {
"value": 2,
"label": "Electric"
},
"AirConditioning": {
"value": 1,
"label": "Central"
},
"Basement": {
"value": 2,
"label": "Full Basement"
},
"Deck": "No",
"ExteriorWalls": {
"value": 19,
"label": "Siding (Alum/Vinyl)"
},
"InteriorWalls": {
"value": null,
"label": null
},
"NumOfFireplaces": null,
"FloorCover": {
"value": null,
"label": null
},
"Garage": {
"value": 1,
"label": "Attached Garage"
},
"Driveway": {
"value": null,
"label": null
},
"other_rooms": "",
"Pool": {
"value": null,
"label": "No"
},
"Patio": {
"value": null,
"label": null
},
"Porch": {
"value": null,
"label": null
},
"RoofCover": {
"value": null,
"label": null
},
"RoofType": {
"value": null,
"label": null
},
"Sewer": {
"value": 1,
"label": "Municipal"
},
"Topography": {
"value": null,
"label": null
},
"Water": {
"value": 2,
"label": "Municipal"
},
"geographic_features": null,
"apn_parcel_id": "27Q-54-0460",
"lot_acreage": 0.176,
"LotSizeFrontageFeet": 111,
"LotSizeDepthFeet": 21,
"LegalDescription": "MAJESTIC POINTE LOT 25",
"SubdivisionName": "MAJESTIC POINTE",
"PropertyClass": {
"value": "R",
"label": "Residential"
},
"CountyLandUseCode": "110",
"property_use_standardized": {
"value": "1001",
"label": "Single Family Residential"
},
"SitusCensusTract": "221421",
"lot_square_feet": 7649,
"LotNbr": "25",
"school_district_name": "Rockwood R-VI School District",
"zoning": "R2",
"flood_zone": {
"value": null,
"label": null
},
"TaxDelinquent": "No",
"
... (truncated)
POSTAdd A Lead
POST https://api.dealmachine.com/public/v1/leads/
Add a lead to your team's account. You have to use 1 of 3 options.
A parsed address:
-address
-address2 (optional)
-city
-state
-zip
A latitude and longitude
-latitude
-longitude
Or a full address in one string (This will be the least accurate)
-full address
Example response — Add A Lead (200)
{
"error": false,
"data": {
"id": 2322026153,
"lead_status": {
"value": 205,
"label": "New Prospect"
},
"assigned_to": null,
"tags": [],
"recent_note": null,
"lead_source": "Mobile Map",
"creator": {
"value": 6434,
"label": "Dave Oster"
},
"date_updated": "2025-10-15",
"date_created": "2025-10-15",
"last_exported_date": null,
"matched_lead": true,
"lists": [],
"number_of_stacked_lists": null,
"campaign_status": {
"value": "Mail Sequence Not Started",
"label": "Mail Sequence Not Started"
},
"mail_sequence": {
"value": 0,
"label": "No Mail Sequence"
},
"mail_design": {
"value": 0,
"label": "No Mail Design"
},
"total_times_mail_was_sent": 0,
"last_mail_sent_date": null,
"primary_image": null,
"image_info": null,
"last_called_date": "2025-01-15",
"mailing_addresses": [],
"number_of_mailing_addresses": 1,
"phone_numbers": [],
"email_addresses": [],
"custom_field_58": {
"label": "Custom Field 1",
"value": null
},
"custom_field_91": {
"label": "Custom Field 2",
"value": null
},
"EstimatedValue": 1842000,
"equity_amount": 1241132,
"equity_percent": "68.00",
"TotalLoanAmt": 699750,
"TotalLoanBalance": 600868,
"TotalLoanPayment": 3386,
"MtgLoanTypeCodes": [
{
"value": "20",
"label": "New Conventional"
},
{
"value": "2",
"label": "Stand Alone Second"
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"MtgTypeFinancingCodes": [
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"NumOfMortgages": 2,
"owner_type": "Owner Occupied",
"unique_owner_type": "Owner Occupied",
"has_phone_number": true,
"has_email_address": true,
"contact_age": null,
"likely_owner": true,
"likely_renting": true,
"gender": null,
"marital_status": null,
"language_preference": null,
"education_model": null,
"occupation_group": null,
"occupation_code": null,
"net_asset_value": null,
"est_household_income": null,
"has_usps_address": true,
"owner_has_multiple_properties": true,
"number_of_properties_owned": null,
"house_flippers": false,
"owner_1_name": "David & Taylor Oster",
"owner_1_firstname": "David",
"owner_1_lastname": "Oster",
"owner_2_name": "Taylor T Oster ",
"owner_2_firstname": "Taylor",
"owner_2_lastname": "Oster",
"owner_address_full": "1170 Hampton Park Dr, Saint Louis, MO 63117",
"owner_address_line_1": null,
"owner_address_line_2": null,
"owner_address_city": "Saint Louis",
"owner_address_state": "MO",
"owner_address_zip": "63117",
"owner_location": "Owner Occupied",
"is_corporate_owner": null,
"out_of_state_owner": false,
"is_vacant": false,
"has_solar": null,
"building_square_feet": 4653,
"total_bedrooms": 4,
"total_baths": "5.50",
"year_built": "1929",
"property_type": {
"value": "Single Family",
"label": "Single Family"
},
"ConstructionType": {
"value": 6,
"label": "Frame"
},
"Style": {
"value": 3,
"label": "Bungalow"
},
"EffectiveYearBuilt": "2020",
"units_count": 1,
"SumBuildingsNbr": 1,
"SumCommercialUnits": null,
"Stories": {
"value": "150",
"label": "1.5 Stories"
},
"SumGarageSqFt": 460,
"HeatingType": {
"value": 2,
"label": "Electric"
},
"HeatingFuelType": {
"value": 2,
"label": "Electric"
},
"AirConditioning": {
"value": 1,
"label": "Central"
},
"Basement": {
"value": 2,
"label": "Full Basement"
},
"Deck": "No",
"ExteriorWalls": {
"value": 24,
"label": "Masonry"
},
"InteriorWalls": {
"value": null,
"label": null
},
"NumOfFireplaces": 1,
"FloorCover": {
"value": null,
"label": null
},
"Garage": {
"value": 4,
"label": "Detached Garage"
},
"Driveway": {
"value": null,
"label": null
},
"other_rooms": "",
"Pool": {
"value": 8,
"label": "Pool (yes)"
},
"Patio": {
"value": 12,
"label": null
},
"Porch": {
"value": 102,
"label": null
},
"RoofCover": {
"value": null,
"label": null
},
"RoofType": {
"value": null,
"label": null
},
"Sewer": {
"value": 1,
"label": "Municipal"
},
"Topography": {
"value": "E",
"label": "Level grade"
},
"Water": {
"value": 2,
"label": "Municipal"
},
"geographic_features": null,
"apn_parcel_id": "20J-43-0196",
"lot_acreage": 1.18,
"LotSizeFrontageFeet": null,
"LotSizeDepthFeet": null,
"LegalDescription": "HAMPTON PARK LOT PT 26 S PART",
"SubdivisionName": "HAMPTON PARK",
"PropertyClass": {
"value": "R",
"label": "Residential"
},
"CountyLandUseCode": "110",
"property_use_standardized": {
"value": "1001",
"label": "Single Family Residential"
},
"SitusCensusTract": "216700",
"lot_square_feet": 51401,
"LotNbr": "26",
"school_district_name": "Maplewood-Richmond Heights School District",
"zoning": "49R1B",
"flood_zone": {
"value": null,
"label": null
},
"TaxDelinquent": "No",
"TaxDelinquentYear": null,
"TaxYear": "2024",
"TaxAmt": 20957.34,
"AssdYear": "2025",
"AssdTotalValue": 362150,
"AssdLandValue": 178510,
"AssdImprovementValue": 183640,
"calculated_total_
... (truncated)
DELETEDelete Lead
DELETE https://api.dealmachine.com/public/v1/leads/:lead_id
Permanently deletes a lead.
Example response — Delete Lead (200)
{
"error": null,
"data": []
}
Update Lead
Update a lead's status, custom field, list(s), etc.
POSTUpdate Status For Lead
POST https://api.dealmachine.com/public/v1/leads/728262182/lead-status
Update the status of a lead.
Example response — Update Status For Lead (200)
{
"error": null,
"data": {
"id": 728262182,
"lead_status": {
"value": 205,
"label": "New Prospect"
},
"assigned_to": null,
"tags": [],
"recent_note": null,
"lead_source": "AI Vision Builder",
"creator": {
"value": 6434,
"label": "Dave Oster"
},
"date_updated": "2024-11-08",
"date_created": "2024-11-07",
"last_exported_date": null,
"matched_lead": true,
"lists": [
{
"id": "564161",
"value": "564161",
"title": "Corner Lots at the Intersection of Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564712",
"value": "564712",
"title": "Corner Lots at Street Intersections in 46032, IN",
"label": "Corner Lots at Street Intersections in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564777",
"value": "564777",
"title": "Corner Lots at Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564780",
"value": "564780",
"title": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
}
],
"number_of_stacked_lists": 4,
"campaign_status": {
"value": "Mail Sequence Not Started",
"label": "Mail Sequence Not Started"
},
"mail_sequence": {
"value": 0,
"label": "No Mail Sequence"
},
"mail_design": {
"value": 0,
"label": "No Mail Design"
},
"total_times_mail_was_sent": 0,
"last_mail_sent_date": null,
"primary_image": null,
"image_info": null,
"last_called_date": null,
"mailing_addresses": [],
"number_of_mailing_addresses": 1,
"phone_numbers": [],
"email_addresses": [],
"custom_field_58": {
"label": "Custom Field 1",
"value": null
},
"custom_field_91": {
"label": "Custom Field 2",
"value": null
},
"EstimatedValue": 459000,
"equity_amount": 334888,
"equity_percent": "73.00",
"TotalLoanAmt": 188500,
"TotalLoanBalance": 124112,
"TotalLoanPayment": 1167,
"MtgLoanTypeCodes": [
{
"value": "27",
"label": "Unknown"
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"MtgTypeFinancingCodes": [
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"NumOfMortgages": 1,
"owner_type": "Owner Occupied",
"unique_owner_type": "Owner Occupied",
"has_phone_number": true,
"has_email_address": true,
"contact_age": null,
"likely_owner": true,
"likely_renting": true,
"gender": null,
"marital_status": null,
"language_preference": null,
"education_model": null,
"occupation_group": null,
"occupation_code": null,
"net_asset_value": null,
"est_household_income": null,
"has_usps_address": true,
"owner_has_multiple_properties": false,
"number_of_properties_owned": null,
"house_flippers": false,
"owner_1_name": "Michael M Doman",
"owner_1_firstname": "Michael",
"owner_1_lastname": "Doman",
"owner_2_name": " ",
"owner_2_firstname": "",
"owner_2_lastname": "",
"owner_address_full": "517 Lexington Blvd, Carmel, IN 46032",
"owner_address_line_1": null,
"owner_address_line_2": null,
"owner_address_city": "Carmel",
"owner_address_state": "IN",
"owner_address_zip": "46032",
"owner_location": "Owner Occupied",
"is_corporate_owner": null,
"out_of_state_owner": false,
"is_vacant": false,
"has_solar": null,
"building_square_feet": 2232,
"total_bedrooms": 3,
"total_baths": "2.50",
"year_built": "1972",
"property_type": {
"value": "Single Family",
"label": "Single Family"
},
"ConstructionType": {
"value": 6,
"label": "Frame"
},
"Style": {
"value": 28,
"label": "unknown"
},
"EffectiveYearBuilt": "1972",
"units_count": 0,
"SumBuildingsNbr": 1,
"SumCommercialUnits": null,
"Stories": {
"value": "200",
"label": "2 Stories"
},
"SumGarageSqFt": 1056,
"HeatingType": {
"value": 3,
"label": "Central"
},
"HeatingFuelType": {
"value": 3,
"label": "Gas"
},
"AirConditioning": {
"value": 1,
"label": "Central"
},
"Basement": {
"value": 6,
"label": "Partial Basement"
},
"Deck": "No",
"ExteriorWalls": {
"value": null,
"label": null
},
"InteriorWalls": {
"value": null,
"label": null
},
"NumOfFireplaces": 1,
"FloorCover": {
"value": null,
"label": null
},
"Garage": {
"value": 1,
"label": "Attached Garage"
},
"Driveway": {
"value": null,
"label": null
},
"other_rooms": "",
"Pool": {
"value": null,
"label": "No"
},
"Patio": {
"value": null,
"label": null
},
"Porch": {
"value": null,
"label": null
},
"RoofCover": {
"value": 15,
"label": "Asphalt"
},
"RoofType": {
"value": null,
"label": null
},
"Sewer": {
"value": 5,
"label": "Yes"
},
"Topography": {
"value": "E",
"label": "Level grade"
},
"Water": {
"value": 6,
"label": "Yes"
},
"geographic_features": "52
... (truncated)
POSTUpdate Custom Field For Lead
POST https://api.dealmachine.com/public/v1/leads/:lead_id/custom-field
Update a custom field for a lead.
Example response — Update Custom Field For Lead (200)
{
"error": null,
"data": {
"id": 728262172,
"lead_status": {
"value": 205,
"label": "New Prospect"
},
"assigned_to": null,
"tags": [],
"recent_note": null,
"lead_source": "AI Vision Builder",
"creator": {
"value": 6434,
"label": "Dave Oster"
},
"date_updated": "2024-11-08",
"date_created": "2024-11-07",
"last_exported_date": null,
"matched_lead": true,
"lists": [
{
"id": "564161",
"value": "564161",
"title": "Corner Lots at the Intersection of Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564712",
"value": "564712",
"title": "Corner Lots at Street Intersections in 46032, IN",
"label": "Corner Lots at Street Intersections in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564777",
"value": "564777",
"title": "Corner Lots at Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564780",
"value": "564780",
"title": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
}
],
"number_of_stacked_lists": 4,
"campaign_status": {
"value": "Mail Sequence Not Started",
"label": "Mail Sequence Not Started"
},
"mail_sequence": {
"value": 0,
"label": "No Mail Sequence"
},
"mail_design": {
"value": 0,
"label": "No Mail Design"
},
"total_times_mail_was_sent": 0,
"last_mail_sent_date": null,
"primary_image": null,
"image_info": null,
"last_called_date": null,
"mailing_addresses": [],
"number_of_mailing_addresses": 1,
"phone_numbers": [],
"email_addresses": [],
"custom_field_58": {
"label": "Custom Field 1",
"value": null
},
"custom_field_91": {
"label": "SElect",
"value": null
},
"EstimatedValue": 386000,
"equity_amount": 214885,
"equity_percent": "56.00",
"TotalLoanAmt": 175000,
"TotalLoanBalance": 171115,
"TotalLoanPayment": 1158,
"MtgLoanTypeCodes": [
{
"value": "20",
"label": "New Conventional"
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"MtgTypeFinancingCodes": [
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"NumOfMortgages": 1,
"owner_type": "Owner Occupied",
"unique_owner_type": "Owner Occupied",
"has_phone_number": false,
"has_email_address": false,
"contact_age": null,
"likely_owner": false,
"likely_renting": false,
"gender": null,
"marital_status": null,
"language_preference": null,
"education_model": null,
"occupation_group": null,
"occupation_code": null,
"net_asset_value": null,
"est_household_income": null,
"has_usps_address": true,
"owner_has_multiple_properties": false,
"number_of_properties_owned": null,
"house_flippers": false,
"owner_1_name": "Larry & Marlana Paulino",
"owner_1_firstname": "Larry",
"owner_1_lastname": "Paulino",
"owner_2_name": "Marlana E Paulino ",
"owner_2_firstname": "Marlana",
"owner_2_lastname": "Paulino",
"owner_address_full": "604 Ash Dr, Carmel, IN 46032",
"owner_address_line_1": null,
"owner_address_line_2": null,
"owner_address_city": "Carmel",
"owner_address_state": "IN",
"owner_address_zip": "46032",
"owner_location": "Owner Occupied",
"is_corporate_owner": null,
"out_of_state_owner": false,
"is_vacant": false,
"has_solar": null,
"building_square_feet": 1752,
"total_bedrooms": 4,
"total_baths": "2.00",
"year_built": "1962",
"property_type": {
"value": "Single Family",
"label": "Single Family"
},
"ConstructionType": {
"value": 2,
"label": "Brick"
},
"Style": {
"value": 28,
"label": "unknown"
},
"EffectiveYearBuilt": "1962",
"units_count": 0,
"SumBuildingsNbr": 1,
"SumCommercialUnits": null,
"Stories": {
"value": "300",
"label": "3 Stories"
},
"SumGarageSqFt": 1008,
"HeatingType": {
"value": 3,
"label": "Central"
},
"HeatingFuelType": {
"value": 3,
"label": "Gas"
},
"AirConditioning": {
"value": 1,
"label": "Central"
},
"Basement": {
"value": 5,
"label": "No Basement"
},
"Deck": "No",
"ExteriorWalls": {
"value": null,
"label": null
},
"InteriorWalls": {
"value": null,
"label": null
},
"NumOfFireplaces": 1,
"FloorCover": {
"value": null,
"label": null
},
"Garage": {
"value": 1,
"label": "Attached Garage"
},
"Driveway": {
"value": null,
"label": null
},
"other_rooms": "Family Room/Den",
"Pool": {
"value": null,
"label": "No"
},
"Patio": {
"value": null,
"label": null
},
"Porch": {
"value": null,
"label": null
},
"RoofCover": {
"value": 15,
"label": "Asphalt"
},
"RoofType": {
"value": null,
"label": null
},
"Sewer": {
"value": 5,
"label": "Yes"
},
"Topography": {
"value": "E",
"label": "Level grade"
},
"Water": {
"value": 6,
"label
... (truncated)
POSTAssign Team Member To Lead
POST https://api.dealmachine.com/public/v1/leads/:lead_id/assign-lead
Assign a team member to the lead. Cannot be a driver.
Example response — Assign Team Member To Lead (200)
{
"error": null,
"data": {
"id": 728262172,
"lead_status": {
"value": 205,
"label": "New Prospect"
},
"assigned_to": null,
"tags": [],
"recent_note": null,
"lead_source": "AI Vision Builder",
"creator": {
"value": 6434,
"label": "Dave Oster"
},
"date_updated": "2024-11-08",
"date_created": "2024-11-07",
"last_exported_date": null,
"matched_lead": true,
"lists": [
{
"id": "564161",
"value": "564161",
"title": "Corner Lots at the Intersection of Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564712",
"value": "564712",
"title": "Corner Lots at Street Intersections in 46032, IN",
"label": "Corner Lots at Street Intersections in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564777",
"value": "564777",
"title": "Corner Lots at Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564780",
"value": "564780",
"title": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
}
],
"number_of_stacked_lists": 4,
"campaign_status": {
"value": "Mail Sequence Not Started",
"label": "Mail Sequence Not Started"
},
"mail_sequence": {
"value": 0,
"label": "No Mail Sequence"
},
"mail_design": {
"value": 0,
"label": "No Mail Design"
},
"total_times_mail_was_sent": 0,
"last_mail_sent_date": null,
"primary_image": null,
"image_info": null,
"last_called_date": null,
"mailing_addresses": [],
"number_of_mailing_addresses": 1,
"phone_numbers": [],
"email_addresses": [],
"custom_field_58": {
"label": "Custom Field 1",
"value": null
},
"custom_field_91": {
"label": "SElect",
"value": null
},
"EstimatedValue": 386000,
"equity_amount": 214885,
"equity_percent": "56.00",
"TotalLoanAmt": 175000,
"TotalLoanBalance": 171115,
"TotalLoanPayment": 1158,
"MtgLoanTypeCodes": [
{
"value": "20",
"label": "New Conventional"
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"MtgTypeFinancingCodes": [
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"NumOfMortgages": 1,
"owner_type": "Owner Occupied",
"unique_owner_type": "Owner Occupied",
"has_phone_number": false,
"has_email_address": false,
"contact_age": null,
"likely_owner": false,
"likely_renting": false,
"gender": null,
"marital_status": null,
"language_preference": null,
"education_model": null,
"occupation_group": null,
"occupation_code": null,
"net_asset_value": null,
"est_household_income": null,
"has_usps_address": true,
"owner_has_multiple_properties": false,
"number_of_properties_owned": null,
"house_flippers": false,
"owner_1_name": "Larry & Marlana Paulino",
"owner_1_firstname": "Larry",
"owner_1_lastname": "Paulino",
"owner_2_name": "Marlana E Paulino ",
"owner_2_firstname": "Marlana",
"owner_2_lastname": "Paulino",
"owner_address_full": "604 Ash Dr, Carmel, IN 46032",
"owner_address_line_1": null,
"owner_address_line_2": null,
"owner_address_city": "Carmel",
"owner_address_state": "IN",
"owner_address_zip": "46032",
"owner_location": "Owner Occupied",
"is_corporate_owner": null,
"out_of_state_owner": false,
"is_vacant": false,
"has_solar": null,
"building_square_feet": 1752,
"total_bedrooms": 4,
"total_baths": "2.00",
"year_built": "1962",
"property_type": {
"value": "Single Family",
"label": "Single Family"
},
"ConstructionType": {
"value": 2,
"label": "Brick"
},
"Style": {
"value": 28,
"label": "unknown"
},
"EffectiveYearBuilt": "1962",
"units_count": 0,
"SumBuildingsNbr": 1,
"SumCommercialUnits": null,
"Stories": {
"value": "300",
"label": "3 Stories"
},
"SumGarageSqFt": 1008,
"HeatingType": {
"value": 3,
"label": "Central"
},
"HeatingFuelType": {
"value": 3,
"label": "Gas"
},
"AirConditioning": {
"value": 1,
"label": "Central"
},
"Basement": {
"value": 5,
"label": "No Basement"
},
"Deck": "No",
"ExteriorWalls": {
"value": null,
"label": null
},
"InteriorWalls": {
"value": null,
"label": null
},
"NumOfFireplaces": 1,
"FloorCover": {
"value": null,
"label": null
},
"Garage": {
"value": 1,
"label": "Attached Garage"
},
"Driveway": {
"value": null,
"label": null
},
"other_rooms": "Family Room/Den",
"Pool": {
"value": null,
"label": "No"
},
"Patio": {
"value": null,
"label": null
},
"Porch": {
"value": null,
"label": null
},
"RoofCover": {
"value": 15,
"label": "Asphalt"
},
"RoofType": {
"value": null,
"label": null
},
"Sewer": {
"value": 5,
"label": "Yes"
},
"Topography": {
"value": "E",
"label": "Level grade"
},
"Water": {
"value": 6,
"label
... (truncated)
POSTAdd Lead To List(s)
POST https://api.dealmachine.com/public/v1/leads/:lead_id/add-to-list
Example response — Add Lead To List(s) (200)
{
"error": null,
"data": {
"id": 728262173,
"lead_status": {
"value": 205,
"label": "New Prospect"
},
"assigned_to": null,
"tags": [],
"recent_note": null,
"lead_source": "AI Vision Builder",
"creator": {
"value": 6434,
"label": "Dave Oster"
},
"date_updated": "2025-10-15",
"date_created": "2024-11-07",
"last_exported_date": null,
"matched_lead": true,
"lists": [
{
"id": "564161",
"value": "564161",
"title": "Corner Lots at the Intersection of Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564712",
"value": "564712",
"title": "Corner Lots at Street Intersections in 46032, IN",
"label": "Corner Lots at Street Intersections in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564777",
"value": "564777",
"title": "Corner Lots at Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564780",
"value": "564780",
"title": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "817332",
"value": "817332",
"title": "Off-Market Single Family Homes in 63117",
"label": "Off-Market Single Family Homes in 63117",
"list_type": "normal"
}
],
"number_of_stacked_lists": 5,
"campaign_status": {
"value": "Mail Sequence Not Started",
"label": "Mail Sequence Not Started"
},
"mail_sequence": {
"value": 0,
"label": "No Mail Sequence"
},
"mail_design": {
"value": 0,
"label": "No Mail Design"
},
"total_times_mail_was_sent": 0,
"last_mail_sent_date": null,
"primary_image": null,
"image_info": null,
"last_called_date": null,
"mailing_addresses": [],
"number_of_mailing_addresses": 1,
"phone_numbers": [],
"email_addresses": [],
"custom_field_58": {
"label": "Custom Field 1",
"value": null
},
"custom_field_91": {
"label": "SElect",
"value": null
},
"EstimatedValue": 448000,
"equity_amount": 288364,
"equity_percent": "65.00",
"TotalLoanAmt": 209255,
"TotalLoanBalance": 159636,
"TotalLoanPayment": 1425,
"MtgLoanTypeCodes": [
{
"value": "20",
"label": "New Conventional"
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"MtgTypeFinancingCodes": [
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"NumOfMortgages": 1,
"owner_type": "Owner Occupied",
"unique_owner_type": "Owner Occupied",
"has_phone_number": true,
"has_email_address": true,
"contact_age": null,
"likely_owner": true,
"likely_renting": true,
"gender": null,
"marital_status": null,
"language_preference": null,
"education_model": null,
"occupation_group": null,
"occupation_code": null,
"net_asset_value": null,
"est_household_income": null,
"has_usps_address": true,
"owner_has_multiple_properties": false,
"number_of_properties_owned": null,
"house_flippers": false,
"owner_1_name": "Kristen & Theodore Puls",
"owner_1_firstname": "Kristen",
"owner_1_lastname": "Puls",
"owner_2_name": "Theodore J Puls ",
"owner_2_firstname": "Theodore",
"owner_2_lastname": "Puls",
"owner_address_full": "542 Ash Dr, Carmel, IN 46032",
"owner_address_line_1": null,
"owner_address_line_2": null,
"owner_address_city": "Carmel",
"owner_address_state": "IN",
"owner_address_zip": "46032",
"owner_location": "Owner Occupied",
"is_corporate_owner": null,
"out_of_state_owner": false,
"is_vacant": false,
"has_solar": null,
"building_square_feet": 1766,
"total_bedrooms": 3,
"total_baths": "2.00",
"year_built": "1965",
"property_type": {
"value": "Single Family",
"label": "Single Family"
},
"ConstructionType": {
"value": 2,
"label": "Brick"
},
"Style": {
"value": 28,
"label": "unknown"
},
"EffectiveYearBuilt": "2002",
"units_count": 0,
"SumBuildingsNbr": 1,
"SumCommercialUnits": null,
"Stories": {
"value": "100",
"label": "1 Story"
},
"SumGarageSqFt": 924,
"HeatingType": {
"value": 3,
"label": "Central"
},
"HeatingFuelType": {
"value": 3,
"label": "Gas"
},
"AirConditioning": {
"value": 1,
"label": "Central"
},
"Basement": {
"value": 5,
"label": "No Basement"
},
"Deck": "No",
"ExteriorWalls": {
"value": null,
"label": null
},
"InteriorWalls": {
"value": null,
"label": null
},
"NumOfFireplaces": 1,
"FloorCover": {
"value": null,
"label": null
},
"Garage": {
"value": 1,
"label": "Attached Garage"
},
"Driveway": {
"value": null,
"label": null
},
"other_rooms": "Family Room/Den",
"Pool": {
"value": null,
"label": "No"
},
"Patio": {
"value": null,
"label": null
},
"Porch": {
"value": null,
"label": null
},
"RoofCover": {
"value": 15,
"label": "Asphalt"
},
"RoofType": {
"value": null,
... (truncated)
POSTRemove Lead From List(s)
POST https://api.dealmachine.com/public/v1/leads/:lead_id/remove-from-list
Remove the lead from list(s).
Example response — Remove Lead From List(s) (200)
{
"error": null,
"data": {
"id": 728262173,
"lead_status": {
"value": 205,
"label": "New Prospect"
},
"assigned_to": null,
"tags": [],
"recent_note": null,
"lead_source": "AI Vision Builder",
"creator": {
"value": 6434,
"label": "Dave Oster"
},
"date_updated": "2025-10-15",
"date_created": "2024-11-07",
"last_exported_date": null,
"matched_lead": true,
"lists": [
{
"id": "564161",
"value": "564161",
"title": "Corner Lots at the Intersection of Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564712",
"value": "564712",
"title": "Corner Lots at Street Intersections in 46032, IN",
"label": "Corner Lots at Street Intersections in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564777",
"value": "564777",
"title": "Corner Lots at Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564780",
"value": "564780",
"title": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
}
],
"number_of_stacked_lists": 4,
"campaign_status": {
"value": "Mail Sequence Not Started",
"label": "Mail Sequence Not Started"
},
"mail_sequence": {
"value": 0,
"label": "No Mail Sequence"
},
"mail_design": {
"value": 0,
"label": "No Mail Design"
},
"total_times_mail_was_sent": 0,
"last_mail_sent_date": null,
"primary_image": null,
"image_info": null,
"last_called_date": null,
"mailing_addresses": [],
"number_of_mailing_addresses": 1,
"phone_numbers": [],
"email_addresses": [],
"custom_field_58": {
"label": "Custom Field 1",
"value": null
},
"custom_field_91": {
"label": "SElect",
"value": null
},
"EstimatedValue": 448000,
"equity_amount": 288364,
"equity_percent": "65.00",
"TotalLoanAmt": 209255,
"TotalLoanBalance": 159636,
"TotalLoanPayment": 1425,
"MtgLoanTypeCodes": [
{
"value": "20",
"label": "New Conventional"
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"MtgTypeFinancingCodes": [
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"NumOfMortgages": 1,
"owner_type": "Owner Occupied",
"unique_owner_type": "Owner Occupied",
"has_phone_number": true,
"has_email_address": true,
"contact_age": null,
"likely_owner": true,
"likely_renting": true,
"gender": null,
"marital_status": null,
"language_preference": null,
"education_model": null,
"occupation_group": null,
"occupation_code": null,
"net_asset_value": null,
"est_household_income": null,
"has_usps_address": true,
"owner_has_multiple_properties": false,
"number_of_properties_owned": null,
"house_flippers": false,
"owner_1_name": "Kristen & Theodore Puls",
"owner_1_firstname": "Kristen",
"owner_1_lastname": "Puls",
"owner_2_name": "Theodore J Puls ",
"owner_2_firstname": "Theodore",
"owner_2_lastname": "Puls",
"owner_address_full": "542 Ash Dr, Carmel, IN 46032",
"owner_address_line_1": null,
"owner_address_line_2": null,
"owner_address_city": "Carmel",
"owner_address_state": "IN",
"owner_address_zip": "46032",
"owner_location": "Owner Occupied",
"is_corporate_owner": null,
"out_of_state_owner": false,
"is_vacant": false,
"has_solar": null,
"building_square_feet": 1766,
"total_bedrooms": 3,
"total_baths": "2.00",
"year_built": "1965",
"property_type": {
"value": "Single Family",
"label": "Single Family"
},
"ConstructionType": {
"value": 2,
"label": "Brick"
},
"Style": {
"value": 28,
"label": "unknown"
},
"EffectiveYearBuilt": "2002",
"units_count": 0,
"SumBuildingsNbr": 1,
"SumCommercialUnits": null,
"Stories": {
"value": "100",
"label": "1 Story"
},
"SumGarageSqFt": 924,
"HeatingType": {
"value": 3,
"label": "Central"
},
"HeatingFuelType": {
"value": 3,
"label": "Gas"
},
"AirConditioning": {
"value": 1,
"label": "Central"
},
"Basement": {
"value": 5,
"label": "No Basement"
},
"Deck": "No",
"ExteriorWalls": {
"value": null,
"label": null
},
"InteriorWalls": {
"value": null,
"label": null
},
"NumOfFireplaces": 1,
"FloorCover": {
"value": null,
"label": null
},
"Garage": {
"value": 1,
"label": "Attached Garage"
},
"Driveway": {
"value": null,
"label": null
},
"other_rooms": "Family Room/Den",
"Pool": {
"value": null,
"label": "No"
},
"Patio": {
"value": null,
"label": null
},
"Porch": {
"value": null,
"label": null
},
"RoofCover": {
"value": 15,
"label": "Asphalt"
},
"RoofType": {
"value": null,
"label": null
},
"Sewer": {
"value": 5,
"label": "Yes"
},
"Topography": {
"value": "L",
"label": "Low Elevation"
},
"Water": {
"value": 6,
"label": "Yes"
... (truncated)
POSTAdd Tag(s) To Lead
POST https://api.dealmachine.com/public/v1/leads/:lead_id/add-tags
Example response — Add Tag(s) To Lead (200)
{
"error": null,
"data": {
"id": 728262173,
"lead_status": {
"value": 205,
"label": "New Prospect"
},
"assigned_to": null,
"tags": [
{
"id": "1",
"value": "1",
"title": "Tall Grass",
"label": "Tall Grass"
}
],
"recent_note": null,
"lead_source": "AI Vision Builder",
"creator": {
"value": 6434,
"label": "Dave Oster"
},
"date_updated": "2025-10-15",
"date_created": "2024-11-07",
"last_exported_date": null,
"matched_lead": true,
"lists": [
{
"id": "564161",
"value": "564161",
"title": "Corner Lots at the Intersection of Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564712",
"value": "564712",
"title": "Corner Lots at Street Intersections in 46032, IN",
"label": "Corner Lots at Street Intersections in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564777",
"value": "564777",
"title": "Corner Lots at Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564780",
"value": "564780",
"title": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
}
],
"number_of_stacked_lists": 4,
"campaign_status": {
"value": "Mail Sequence Not Started",
"label": "Mail Sequence Not Started"
},
"mail_sequence": {
"value": 0,
"label": "No Mail Sequence"
},
"mail_design": {
"value": 0,
"label": "No Mail Design"
},
"total_times_mail_was_sent": 0,
"last_mail_sent_date": null,
"primary_image": null,
"image_info": null,
"last_called_date": null,
"mailing_addresses": [],
"number_of_mailing_addresses": 1,
"phone_numbers": [],
"email_addresses": [],
"custom_field_58": {
"label": "Custom Field 1",
"value": null
},
"custom_field_91": {
"label": "SElect",
"value": null
},
"EstimatedValue": 448000,
"equity_amount": 288364,
"equity_percent": "65.00",
"TotalLoanAmt": 209255,
"TotalLoanBalance": 159636,
"TotalLoanPayment": 1425,
"MtgLoanTypeCodes": [
{
"value": "20",
"label": "New Conventional"
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"MtgTypeFinancingCodes": [
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"NumOfMortgages": 1,
"owner_type": "Owner Occupied",
"unique_owner_type": "Owner Occupied",
"has_phone_number": true,
"has_email_address": true,
"contact_age": null,
"likely_owner": true,
"likely_renting": true,
"gender": null,
"marital_status": null,
"language_preference": null,
"education_model": null,
"occupation_group": null,
"occupation_code": null,
"net_asset_value": null,
"est_household_income": null,
"has_usps_address": true,
"owner_has_multiple_properties": false,
"number_of_properties_owned": null,
"house_flippers": false,
"owner_1_name": "Kristen & Theodore Puls",
"owner_1_firstname": "Kristen",
"owner_1_lastname": "Puls",
"owner_2_name": "Theodore J Puls ",
"owner_2_firstname": "Theodore",
"owner_2_lastname": "Puls",
"owner_address_full": "542 Ash Dr, Carmel, IN 46032",
"owner_address_line_1": null,
"owner_address_line_2": null,
"owner_address_city": "Carmel",
"owner_address_state": "IN",
"owner_address_zip": "46032",
"owner_location": "Owner Occupied",
"is_corporate_owner": null,
"out_of_state_owner": false,
"is_vacant": false,
"has_solar": null,
"building_square_feet": 1766,
"total_bedrooms": 3,
"total_baths": "2.00",
"year_built": "1965",
"property_type": {
"value": "Single Family",
"label": "Single Family"
},
"ConstructionType": {
"value": 2,
"label": "Brick"
},
"Style": {
"value": 28,
"label": "unknown"
},
"EffectiveYearBuilt": "2002",
"units_count": 0,
"SumBuildingsNbr": 1,
"SumCommercialUnits": null,
"Stories": {
"value": "100",
"label": "1 Story"
},
"SumGarageSqFt": 924,
"HeatingType": {
"value": 3,
"label": "Central"
},
"HeatingFuelType": {
"value": 3,
"label": "Gas"
},
"AirConditioning": {
"value": 1,
"label": "Central"
},
"Basement": {
"value": 5,
"label": "No Basement"
},
"Deck": "No",
"ExteriorWalls": {
"value": null,
"label": null
},
"InteriorWalls": {
"value": null,
"label": null
},
"NumOfFireplaces": 1,
"FloorCover": {
"value": null,
"label": null
},
"Garage": {
"value": 1,
"label": "Attached Garage"
},
"Driveway": {
"value": null,
"label": null
},
"other_rooms": "Family Room/Den",
"Pool": {
"value": null,
"label": "No"
},
"Patio": {
"value": null,
"label": null
},
"Porch": {
"value": null,
"label": null
},
"RoofCover": {
"value": 15,
"label": "Asphalt"
},
"RoofType": {
"value": null,
"label": null
},
"Sewer": {
"value": 5,
"label": "Yes"
},
"Topog
... (truncated)
POSTRemove Tag(s) From Lead
POST https://api.dealmachine.com/public/v1/leads/:lead_id/remove-tags
Remove tag(s) from the lead.
Example response — Remove Tag(s) From Lead (200)
{
"error": null,
"data": {
"id": 728262173,
"lead_status": {
"value": 205,
"label": "New Prospect"
},
"assigned_to": null,
"tags": [],
"recent_note": null,
"lead_source": "AI Vision Builder",
"creator": {
"value": 6434,
"label": "Dave Oster"
},
"date_updated": "2025-10-15",
"date_created": "2024-11-07",
"last_exported_date": null,
"matched_lead": true,
"lists": [
{
"id": "564161",
"value": "564161",
"title": "Corner Lots at the Intersection of Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564712",
"value": "564712",
"title": "Corner Lots at Street Intersections in 46032, IN",
"label": "Corner Lots at Street Intersections in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564777",
"value": "564777",
"title": "Corner Lots at Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564780",
"value": "564780",
"title": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
}
],
"number_of_stacked_lists": 4,
"campaign_status": {
"value": "Mail Sequence Not Started",
"label": "Mail Sequence Not Started"
},
"mail_sequence": {
"value": 0,
"label": "No Mail Sequence"
},
"mail_design": {
"value": 0,
"label": "No Mail Design"
},
"total_times_mail_was_sent": 0,
"last_mail_sent_date": null,
"primary_image": null,
"image_info": null,
"last_called_date": null,
"mailing_addresses": [],
"number_of_mailing_addresses": 1,
"phone_numbers": [],
"email_addresses": [],
"custom_field_58": {
"label": "Custom Field 1",
"value": null
},
"custom_field_91": {
"label": "SElect",
"value": null
},
"EstimatedValue": 448000,
"equity_amount": 288364,
"equity_percent": "65.00",
"TotalLoanAmt": 209255,
"TotalLoanBalance": 159636,
"TotalLoanPayment": 1425,
"MtgLoanTypeCodes": [
{
"value": "20",
"label": "New Conventional"
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"MtgTypeFinancingCodes": [
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"NumOfMortgages": 1,
"owner_type": "Owner Occupied",
"unique_owner_type": "Owner Occupied",
"has_phone_number": true,
"has_email_address": true,
"contact_age": null,
"likely_owner": true,
"likely_renting": true,
"gender": null,
"marital_status": null,
"language_preference": null,
"education_model": null,
"occupation_group": null,
"occupation_code": null,
"net_asset_value": null,
"est_household_income": null,
"has_usps_address": true,
"owner_has_multiple_properties": false,
"number_of_properties_owned": null,
"house_flippers": false,
"owner_1_name": "Kristen & Theodore Puls",
"owner_1_firstname": "Kristen",
"owner_1_lastname": "Puls",
"owner_2_name": "Theodore J Puls ",
"owner_2_firstname": "Theodore",
"owner_2_lastname": "Puls",
"owner_address_full": "542 Ash Dr, Carmel, IN 46032",
"owner_address_line_1": null,
"owner_address_line_2": null,
"owner_address_city": "Carmel",
"owner_address_state": "IN",
"owner_address_zip": "46032",
"owner_location": "Owner Occupied",
"is_corporate_owner": null,
"out_of_state_owner": false,
"is_vacant": false,
"has_solar": null,
"building_square_feet": 1766,
"total_bedrooms": 3,
"total_baths": "2.00",
"year_built": "1965",
"property_type": {
"value": "Single Family",
"label": "Single Family"
},
"ConstructionType": {
"value": 2,
"label": "Brick"
},
"Style": {
"value": 28,
"label": "unknown"
},
"EffectiveYearBuilt": "2002",
"units_count": 0,
"SumBuildingsNbr": 1,
"SumCommercialUnits": null,
"Stories": {
"value": "100",
"label": "1 Story"
},
"SumGarageSqFt": 924,
"HeatingType": {
"value": 3,
"label": "Central"
},
"HeatingFuelType": {
"value": 3,
"label": "Gas"
},
"AirConditioning": {
"value": 1,
"label": "Central"
},
"Basement": {
"value": 5,
"label": "No Basement"
},
"Deck": "No",
"ExteriorWalls": {
"value": null,
"label": null
},
"InteriorWalls": {
"value": null,
"label": null
},
"NumOfFireplaces": 1,
"FloorCover": {
"value": null,
"label": null
},
"Garage": {
"value": 1,
"label": "Attached Garage"
},
"Driveway": {
"value": null,
"label": null
},
"other_rooms": "Family Room/Den",
"Pool": {
"value": null,
"label": "No"
},
"Patio": {
"value": null,
"label": null
},
"Porch": {
"value": null,
"label": null
},
"RoofCover": {
"value": 15,
"label": "Asphalt"
},
"RoofType": {
"value": null,
"label": null
},
"Sewer": {
"value": 5,
"label": "Yes"
},
"Topography": {
"value": "L",
"label": "Low Elevation"
},
"Water": {
"value": 6,
"label": "Yes"
... (truncated)
POSTCreate Note For Lead
POST https://api.dealmachine.com/public/v1/leads/:lead_id/create-note
Creates a note for the lead.
Example response — Create Note For Lead (200)
{
"error": null,
"data": {
"id": 728262173,
"lead_status": {
"value": 205,
"label": "New Prospect"
},
"assigned_to": null,
"tags": [],
"recent_note": "This is the text for my note.",
"lead_source": "AI Vision Builder",
"creator": {
"value": 6434,
"label": "Dave Oster"
},
"date_updated": "2025-10-15",
"date_created": "2024-11-07",
"last_exported_date": null,
"matched_lead": true,
"lists": [
{
"id": "564161",
"value": "564161",
"title": "Corner Lots at the Intersection of Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564712",
"value": "564712",
"title": "Corner Lots at Street Intersections in 46032, IN",
"label": "Corner Lots at Street Intersections in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564777",
"value": "564777",
"title": "Corner Lots at Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564780",
"value": "564780",
"title": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
}
],
"number_of_stacked_lists": 4,
"campaign_status": {
"value": "Mail Sequence Not Started",
"label": "Mail Sequence Not Started"
},
"mail_sequence": {
"value": 0,
"label": "No Mail Sequence"
},
"mail_design": {
"value": 0,
"label": "No Mail Design"
},
"total_times_mail_was_sent": 0,
"last_mail_sent_date": null,
"primary_image": null,
"image_info": null,
"last_called_date": null,
"mailing_addresses": [],
"number_of_mailing_addresses": 1,
"phone_numbers": [],
"email_addresses": [],
"custom_field_58": {
"label": "Custom Field 1",
"value": null
},
"custom_field_91": {
"label": "SElect",
"value": null
},
"EstimatedValue": 448000,
"equity_amount": 288364,
"equity_percent": "65.00",
"TotalLoanAmt": 209255,
"TotalLoanBalance": 159636,
"TotalLoanPayment": 1425,
"MtgLoanTypeCodes": [
{
"value": "20",
"label": "New Conventional"
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"MtgTypeFinancingCodes": [
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"NumOfMortgages": 1,
"owner_type": "Owner Occupied",
"unique_owner_type": "Owner Occupied",
"has_phone_number": true,
"has_email_address": true,
"contact_age": null,
"likely_owner": true,
"likely_renting": true,
"gender": null,
"marital_status": null,
"language_preference": null,
"education_model": null,
"occupation_group": null,
"occupation_code": null,
"net_asset_value": null,
"est_household_income": null,
"has_usps_address": true,
"owner_has_multiple_properties": false,
"number_of_properties_owned": null,
"house_flippers": false,
"owner_1_name": "Kristen & Theodore Puls",
"owner_1_firstname": "Kristen",
"owner_1_lastname": "Puls",
"owner_2_name": "Theodore J Puls ",
"owner_2_firstname": "Theodore",
"owner_2_lastname": "Puls",
"owner_address_full": "542 Ash Dr, Carmel, IN 46032",
"owner_address_line_1": null,
"owner_address_line_2": null,
"owner_address_city": "Carmel",
"owner_address_state": "IN",
"owner_address_zip": "46032",
"owner_location": "Owner Occupied",
"is_corporate_owner": null,
"out_of_state_owner": false,
"is_vacant": false,
"has_solar": null,
"building_square_feet": 1766,
"total_bedrooms": 3,
"total_baths": "2.00",
"year_built": "1965",
"property_type": {
"value": "Single Family",
"label": "Single Family"
},
"ConstructionType": {
"value": 2,
"label": "Brick"
},
"Style": {
"value": 28,
"label": "unknown"
},
"EffectiveYearBuilt": "2002",
"units_count": 0,
"SumBuildingsNbr": 1,
"SumCommercialUnits": null,
"Stories": {
"value": "100",
"label": "1 Story"
},
"SumGarageSqFt": 924,
"HeatingType": {
"value": 3,
"label": "Central"
},
"HeatingFuelType": {
"value": 3,
"label": "Gas"
},
"AirConditioning": {
"value": 1,
"label": "Central"
},
"Basement": {
"value": 5,
"label": "No Basement"
},
"Deck": "No",
"ExteriorWalls": {
"value": null,
"label": null
},
"InteriorWalls": {
"value": null,
"label": null
},
"NumOfFireplaces": 1,
"FloorCover": {
"value": null,
"label": null
},
"Garage": {
"value": 1,
"label": "Attached Garage"
},
"Driveway": {
"value": null,
"label": null
},
"other_rooms": "Family Room/Den",
"Pool": {
"value": null,
"label": "No"
},
"Patio": {
"value": null,
"label": null
},
"Porch": {
"value": null,
"label": null
},
"RoofCover": {
"value": 15,
"label": "Asphalt"
},
"RoofType": {
"value": null,
"label": null
},
"Sewer": {
"value": 5,
"label": "Yes"
},
"Topography": {
"value": "L",
"label": "Low Elevation"
},
"Water": {
"value"
... (truncated)
POSTStart Mail Sequence For Lead
POST https://api.dealmachine.com/public/v1/leads/728262174/start-mail-sequence
Starts a mail sequence for the lead. If no mailer sequence id is provided, the team's default mailer sequence will be used.
Example response — Start Mail Sequence For Lead (200)
{
"error": null,
"data": {
"id": 728262174,
"lead_status": {
"value": 206,
"label": "With Marketing"
},
"assigned_to": null,
"tags": [],
"recent_note": null,
"lead_source": "AI Vision Builder",
"creator": {
"value": 6434,
"label": "Dave Oster"
},
"date_updated": "2024-11-08",
"date_created": "2024-11-07",
"last_exported_date": null,
"matched_lead": true,
"lists": [
{
"id": "564161",
"value": "564161",
"title": "Corner Lots at the Intersection of Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564712",
"value": "564712",
"title": "Corner Lots at Street Intersections in 46032, IN",
"label": "Corner Lots at Street Intersections in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564777",
"value": "564777",
"title": "Corner Lots at Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564780",
"value": "564780",
"title": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
}
],
"number_of_stacked_lists": 4,
"campaign_status": {
"value": "Mail Sequence In Progress",
"label": "Mail Sequence In Progress"
},
"mail_sequence": {
"value": "21",
"label": "Campaign #1"
},
"mail_design": {
"value": 26738,
"label": null
},
"total_times_mail_was_sent": 0,
"last_mail_sent_date": null,
"primary_image": null,
"image_info": null,
"last_called_date": null,
"mailing_addresses": [],
"number_of_mailing_addresses": 1,
"phone_numbers": [],
"email_addresses": [],
"custom_field_58": {
"label": "Custom Field 1",
"value": null
},
"custom_field_91": {
"label": "SElect",
"value": null
},
"EstimatedValue": 428000,
"equity_amount": 328124,
"equity_percent": "77.00",
"TotalLoanAmt": 125000,
"TotalLoanBalance": 99876,
"TotalLoanPayment": 857,
"MtgLoanTypeCodes": [
{
"value": "20",
"label": "New Conventional"
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"MtgTypeFinancingCodes": [
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"NumOfMortgages": 1,
"owner_type": "Owner Occupied",
"unique_owner_type": "Owner Occupied",
"has_phone_number": true,
"has_email_address": true,
"contact_age": null,
"likely_owner": true,
"likely_renting": true,
"gender": null,
"marital_status": null,
"language_preference": null,
"education_model": null,
"occupation_group": null,
"occupation_code": null,
"net_asset_value": null,
"est_household_income": null,
"has_usps_address": true,
"owner_has_multiple_properties": false,
"number_of_properties_owned": null,
"house_flippers": false,
"owner_1_name": "Richard G Bruford & Jacobson Kim",
"owner_1_firstname": "Richard",
"owner_1_lastname": "Bruford",
"owner_2_name": "Jacobson Kim ",
"owner_2_firstname": "Jacobson",
"owner_2_lastname": "Kim",
"owner_address_full": "221 Lexington Blvd, Carmel, IN 46032",
"owner_address_line_1": null,
"owner_address_line_2": null,
"owner_address_city": "Carmel",
"owner_address_state": "IN",
"owner_address_zip": "46032",
"owner_location": "Owner Occupied",
"is_corporate_owner": null,
"out_of_state_owner": false,
"is_vacant": false,
"has_solar": null,
"building_square_feet": 1798,
"total_bedrooms": 4,
"total_baths": "2.50",
"year_built": "1970",
"property_type": {
"value": "Single Family",
"label": "Single Family"
},
"ConstructionType": {
"value": 6,
"label": "Frame"
},
"Style": {
"value": 28,
"label": "unknown"
},
"EffectiveYearBuilt": "1970",
"units_count": 0,
"SumBuildingsNbr": 1,
"SumCommercialUnits": null,
"Stories": {
"value": "100",
"label": "1 Story"
},
"SumGarageSqFt": 1056,
"HeatingType": {
"value": 3,
"label": "Central"
},
"HeatingFuelType": {
"value": 3,
"label": "Gas"
},
"AirConditioning": {
"value": 1,
"label": "Central"
},
"Basement": {
"value": 5,
"label": "No Basement"
},
"Deck": "No",
"ExteriorWalls": {
"value": 11,
"label": "Rock, Stone"
},
"InteriorWalls": {
"value": null,
"label": null
},
"NumOfFireplaces": 1,
"FloorCover": {
"value": null,
"label": null
},
"Garage": {
"value": 1,
"label": "Attached Garage"
},
"Driveway": {
"value": null,
"label": null
},
"other_rooms": "Family Room/Den",
"Pool": {
"value": null,
"label": "No"
},
"Patio": {
"value": null,
"label": null
},
"Porch": {
"value": null,
"label": null
},
"RoofCover": {
"value": 15,
"label": "Asphalt"
},
"RoofType": {
"value": null,
"label": null
},
"Sewer": {
"value": 5,
"label": "Yes"
},
"Topography": {
"value": "E",
"label": "Level grade"
},
"Water": {
"value": 6,
"la
... (truncated)
POSTPause Mail Sequence For Lead
POST https://api.dealmachine.com/public/v1/leads/:lead_id/pause-mail-sequence
Pauses the mail sequence for a lead.
Example response — Pause Mail Sequence For Lead (200)
{
"error": null,
"data": {
"id": 728262174,
"lead_status": {
"value": 206,
"label": "With Marketing"
},
"assigned_to": null,
"tags": [],
"recent_note": null,
"lead_source": "AI Vision Builder",
"creator": {
"value": 6434,
"label": "Dave Oster"
},
"date_updated": "2024-11-08",
"date_created": "2024-11-07",
"last_exported_date": null,
"matched_lead": true,
"lists": [
{
"id": "564161",
"value": "564161",
"title": "Corner Lots at the Intersection of Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564712",
"value": "564712",
"title": "Corner Lots at Street Intersections in 46032, IN",
"label": "Corner Lots at Street Intersections in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564777",
"value": "564777",
"title": "Corner Lots at Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564780",
"value": "564780",
"title": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
}
],
"number_of_stacked_lists": 4,
"campaign_status": {
"value": "Mail Sequence Paused",
"label": "Mail Sequence Paused"
},
"mail_sequence": {
"value": "21",
"label": "Campaign #1"
},
"mail_design": {
"value": 26738,
"label": null
},
"total_times_mail_was_sent": 0,
"last_mail_sent_date": null,
"primary_image": null,
"image_info": null,
"last_called_date": null,
"mailing_addresses": [],
"number_of_mailing_addresses": 1,
"phone_numbers": [],
"email_addresses": [],
"custom_field_58": {
"label": "Custom Field 1",
"value": null
},
"custom_field_91": {
"label": "SElect",
"value": null
},
"EstimatedValue": 428000,
"equity_amount": 328124,
"equity_percent": "77.00",
"TotalLoanAmt": 125000,
"TotalLoanBalance": 99876,
"TotalLoanPayment": 857,
"MtgLoanTypeCodes": [
{
"value": "20",
"label": "New Conventional"
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"MtgTypeFinancingCodes": [
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"NumOfMortgages": 1,
"owner_type": "Owner Occupied",
"unique_owner_type": "Owner Occupied",
"has_phone_number": true,
"has_email_address": true,
"contact_age": null,
"likely_owner": true,
"likely_renting": true,
"gender": null,
"marital_status": null,
"language_preference": null,
"education_model": null,
"occupation_group": null,
"occupation_code": null,
"net_asset_value": null,
"est_household_income": null,
"has_usps_address": true,
"owner_has_multiple_properties": false,
"number_of_properties_owned": null,
"house_flippers": false,
"owner_1_name": "Richard G Bruford & Jacobson Kim",
"owner_1_firstname": "Richard",
"owner_1_lastname": "Bruford",
"owner_2_name": "Jacobson Kim ",
"owner_2_firstname": "Jacobson",
"owner_2_lastname": "Kim",
"owner_address_full": "221 Lexington Blvd, Carmel, IN 46032",
"owner_address_line_1": null,
"owner_address_line_2": null,
"owner_address_city": "Carmel",
"owner_address_state": "IN",
"owner_address_zip": "46032",
"owner_location": "Owner Occupied",
"is_corporate_owner": null,
"out_of_state_owner": false,
"is_vacant": false,
"has_solar": null,
"building_square_feet": 1798,
"total_bedrooms": 4,
"total_baths": "2.50",
"year_built": "1970",
"property_type": {
"value": "Single Family",
"label": "Single Family"
},
"ConstructionType": {
"value": 6,
"label": "Frame"
},
"Style": {
"value": 28,
"label": "unknown"
},
"EffectiveYearBuilt": "1970",
"units_count": 0,
"SumBuildingsNbr": 1,
"SumCommercialUnits": null,
"Stories": {
"value": "100",
"label": "1 Story"
},
"SumGarageSqFt": 1056,
"HeatingType": {
"value": 3,
"label": "Central"
},
"HeatingFuelType": {
"value": 3,
"label": "Gas"
},
"AirConditioning": {
"value": 1,
"label": "Central"
},
"Basement": {
"value": 5,
"label": "No Basement"
},
"Deck": "No",
"ExteriorWalls": {
"value": 11,
"label": "Rock, Stone"
},
"InteriorWalls": {
"value": null,
"label": null
},
"NumOfFireplaces": 1,
"FloorCover": {
"value": null,
"label": null
},
"Garage": {
"value": 1,
"label": "Attached Garage"
},
"Driveway": {
"value": null,
"label": null
},
"other_rooms": "Family Room/Den",
"Pool": {
"value": null,
"label": "No"
},
"Patio": {
"value": null,
"label": null
},
"Porch": {
"value": null,
"label": null
},
"RoofCover": {
"value": 15,
"label": "Asphalt"
},
"RoofType": {
"value": null,
"label": null
},
"Sewer": {
"value": 5,
"label": "Yes"
},
"Topography": {
"value": "E",
"label": "Level grade"
},
"Water": {
"value": 6,
"label": "Yes
... (truncated)
POSTEnd Mail Sequence For Lead
POST https://api.dealmachine.com/public/v1/leads/:lead_id/end-mail-sequence
Ends the mail sequence for a lead.
Example response — End Mail Sequence For Lead (200)
{
"error": null,
"data": {
"id": 728262174,
"lead_status": {
"value": 207,
"label": "Marketing Complete"
},
"assigned_to": null,
"tags": [],
"recent_note": null,
"lead_source": "AI Vision Builder",
"creator": {
"value": 6434,
"label": "Dave Oster"
},
"date_updated": "2025-10-15",
"date_created": "2024-11-07",
"last_exported_date": null,
"matched_lead": true,
"lists": [
{
"id": "564161",
"value": "564161",
"title": "Corner Lots at the Intersection of Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564712",
"value": "564712",
"title": "Corner Lots at Street Intersections in 46032, IN",
"label": "Corner Lots at Street Intersections in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564777",
"value": "564777",
"title": "Corner Lots at Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
},
{
"id": "564780",
"value": "564780",
"title": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"label": "Corner Lots at the Intersection of Two Streets in 46032, IN",
"list_type": "ai_build_list"
}
],
"number_of_stacked_lists": 4,
"campaign_status": {
"value": "Mail Sequence Ended",
"label": "Mail Sequence Ended"
},
"mail_sequence": {
"value": "repeating_2865045_0_0",
"label": "Sending Once With (Sample) Text O"
},
"mail_design": {
"value": 2865045,
"label": "Default"
},
"total_times_mail_was_sent": 0,
"last_mail_sent_date": null,
"primary_image": null,
"image_info": null,
"last_called_date": null,
"mailing_addresses": [],
"number_of_mailing_addresses": 1,
"phone_numbers": [],
"email_addresses": [],
"custom_field_58": {
"label": "Custom Field 1",
"value": null
},
"custom_field_91": {
"label": "SElect",
"value": null
},
"EstimatedValue": 428000,
"equity_amount": 328124,
"equity_percent": "77.00",
"TotalLoanAmt": 125000,
"TotalLoanBalance": 99876,
"TotalLoanPayment": 857,
"MtgLoanTypeCodes": [
{
"value": "20",
"label": "New Conventional"
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"MtgTypeFinancingCodes": [
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
},
{
"value": null,
"label": null
}
],
"NumOfMortgages": 1,
"owner_type": "Owner Occupied",
"unique_owner_type": "Owner Occupied",
"has_phone_number": true,
"has_email_address": true,
"contact_age": null,
"likely_owner": true,
"likely_renting": true,
"gender": null,
"marital_status": null,
"language_preference": null,
"education_model": null,
"occupation_group": null,
"occupation_code": null,
"net_asset_value": null,
"est_household_income": null,
"has_usps_address": true,
"owner_has_multiple_properties": false,
"number_of_properties_owned": null,
"house_flippers": false,
"owner_1_name": "Richard G Bruford & Jacobson Kim",
"owner_1_firstname": "Richard",
"owner_1_lastname": "Bruford",
"owner_2_name": "Jacobson Kim ",
"owner_2_firstname": "Jacobson",
"owner_2_lastname": "Kim",
"owner_address_full": "221 Lexington Blvd, Carmel, IN 46032",
"owner_address_line_1": null,
"owner_address_line_2": null,
"owner_address_city": "Carmel",
"owner_address_state": "IN",
"owner_address_zip": "46032",
"owner_location": "Owner Occupied",
"is_corporate_owner": null,
"out_of_state_owner": false,
"is_vacant": false,
"has_solar": null,
"building_square_feet": 1798,
"total_bedrooms": 4,
"total_baths": "2.50",
"year_built": "1970",
"property_type": {
"value": "Single Family",
"label": "Single Family"
},
"ConstructionType": {
"value": 6,
"label": "Frame"
},
"Style": {
"value": 28,
"label": "unknown"
},
"EffectiveYearBuilt": "1970",
"units_count": 0,
"SumBuildingsNbr": 1,
"SumCommercialUnits": null,
"Stories": {
"value": "100",
"label": "1 Story"
},
"SumGarageSqFt": 1056,
"HeatingType": {
"value": 3,
"label": "Central"
},
"HeatingFuelType": {
"value": 3,
"label": "Gas"
},
"AirConditioning": {
"value": 1,
"label": "Central"
},
"Basement": {
"value": 5,
"label": "No Basement"
},
"Deck": "No",
"ExteriorWalls": {
"value": 11,
"label": "Rock, Stone"
},
"InteriorWalls": {
"value": null,
"label": null
},
"NumOfFireplaces": 1,
"FloorCover": {
"value": null,
"label": null
},
"Garage": {
"value": 1,
"label": "Attached Garage"
},
"Driveway": {
"value": null,
"label": null
},
"other_rooms": "Family Room/Den",
"Pool": {
"value": null,
"label": "No"
},
"Patio": {
"value": null,
"label": null
},
"Porch": {
"value": null,
"label": null
},
"RoofCover": {
"value": 15,
"label": "Asphalt"
},
"RoofType": {
"value": null,
"label": null
},
"Sewer": {
"value": 5,
"label": "Yes"
},
"Topography": {
"value": "E",
"label": "Level grade"
},
... (truncated)
Lead Statuses
GETGet Lead Statuses
GET https://api.dealmachine.com/public/v1/lead-statuses/
Gets all lead statuses for a team.
Example response — Get Lead Statuses (200)
{
"error": null,
"data": [
{
"id": 205,
"label": "New Prospect"
},
{
"id": 206,
"label": "With Marketing"
},
{
"id": 69758439,
"label": "Warm Lead"
},
{
"id": 69758440,
"label": "Hot Lead"
},
{
"id": 208,
"label": "Appointment Set"
},
{
"id": 211,
"label": "Under Contract"
},
{
"id": 212,
"label": "Won Deal"
},
{
"id": 213,
"label": "Lost Deal"
},
{
"id": 69758455,
"label": "Unqualified"
},
{
"id": 214,
"label": "Not Interested"
},
{
"id": 216,
"label": "Unresponsive"
},
{
"id": 207,
"label": "Marketing Complete"
},
{
"id": 218,
"label": "Returned To Sender"
},
{
"id": 217,
"label": "In Trash"
}
]
}
Custom Fields
GETGet Custom Fields
GET https://api.dealmachine.com/public/v1/custom-fields/
Gets all custom fields for the team.
Example response — Get Custom Fields (200)
{
"error": null,
"data": [
{
"id": 58,
"label": "Custom Field 1",
"field_group_label": "Custom Fields 1"
},
{
"id": 91,
"label": "Custom Field 2",
"field_group_label": "Custom Fields 1"
}
]
}
Lists
GETGet Lists
GET https://api.dealmachine.com/public/v1/lists/?limit=25&after=0
This request returns the team's lists. You can paginate through them using limit and after.
Example response — Get Lists (200)
{
"error": null,
"data": [
{
"id": 817332,
"label": "Off-Market Single Family Homes in 63117"
},
{
"id": 730021,
"label": "Properties in Richmond Heights, Missouri"
},
{
"id": 730020,
"label": "Properties in 63117, MO"
},
{
"id": 706726,
"label": "Distressed Properties in 63105, MO"
},
{
"id": 690425,
"label": "test"
},
{
"id": 687122,
"label": "Solar-Ready Properties in 63104, MO"
},
{
"id": 687118,
"label": "Properties with Bad Roofs in 63104, MO"
},
{
"id": 687117,
"label": "Wholesale Properties with Profit Potential in 63104, MO"
},
{
"id": 687116,
"label": "Wholesale Property Deals with Potential Profit in 63104, MO"
},
{
"id": 687112,
"label": "Wholesale Deals with Profit Potential in 63104, MO"
},
{
"id": 687110,
"label": "Distressed Properties in 63104, MO"
},
{
"id": 687107,
"label": "Distressed Properties in 63104, MO"
},
{
"id": 687104,
"label": "Wholesale Property Deals with Profit Potential in 63104, MO"
},
{
"id": 687098,
"label": "Distressed Properties in 63104, MO"
},
{
"id": 687094,
"label": "Corner Lots in 63104, MO"
},
{
"id": 687086,
"label": "Solar-Ready Properties with Large Roof Areas in 63104, MO"
},
{
"id": 687083,
"label": "Corner Lots at the Intersection of Two Streets in 63104, MO"
},
{
"id": 687082,
"label": "Wholesale Property Deals with Profit Potential in 63104, MO"
},
{
"id": 686927,
"label": "Uploaded Saint Louis Properties with High Equity Insights"
},
{
"id": 686926,
"label": "Uploaded Saint Louis Properties with High Equity Insights"
},
{
"id": 686867,
"label": "Corner Lots at Street Intersections in 63118, MO"
},
{
"id": 592453,
"label": "Active Single Family Homes in Saint Louis, MO 63131"
},
{
"id": 588244,
"label": "Properties in the 63117 Area, Missouri"
},
{
"id": 588241,
"label": "Properties in 63117, MO - Custom Area View"
},
{
"id": 581345,
"label": "Wholesale Property Deals in 23150 VA with Potential Profit Margin Over $20k"
}
]
}
Mail Sequences
GETGet Mail Sequences
GET https://api.dealmachine.com/public/v1/mail-sequences/?limit=25&after=0
This request returns the team's mail sequences. You can paginate through them using limit and after.
Example response — Get Mail Sequences (200)
{
"error": null,
"data": [
{
"id": "repeating_2865045_0_0",
"label": "Sending Once With (Sample) Text O"
},
{
"id": "36071",
"label": "Mail Sequence #1"
}
]
}
Tags
GETGet Tags
GET https://api.dealmachine.com/public/v1/tags/
This request returns the team's tags.
Example response — Get Tags (200)
{
"error": null,
"data": [
{
"id": 45867,
"label": "High Priority",
"custom_tag": true,
"hidden_tag": false
},
{
"id": 2,
"label": "Stuffed Mailbox",
"custom_tag": false,
"hidden_tag": true
},
{
"id": 3,
"label": "Window A/C Unit(s)",
"custom_tag": false,
"hidden_tag": true
},
{
"id": 4,
"label": "Handicap Ramp",
"custom_tag": false,
"hidden_tag": false
},
{
"id": 5,
"label": "Snow But No Tire Tracks",
"custom_tag": false,
"hidden_tag": false
},
{
"id": 6,
"label": "Broken Windows",
"custom_tag": false,
"hidden_tag": false
},
{
"id": 7,
"label": "Boarded Up Windows",
"custom_tag": false,
"hidden_tag": false
},
{
"id": 8,
"label": "Falling-Off Gutters",
"custom_tag": false,
"hidden_tag": false
},
{
"id": 9,
"label": "In Bad Shape",
"custom_tag": false,
"hidden_tag": true
},
{
"id": 10,
"label": "Bad Roof/Tarp on Roof",
"custom_tag": false,
"hidden_tag": false
},
{
"id": 11,
"label": "Peeling Paint",
"custom_tag": false,
"hidden_tag": false
},
{
"id": 12,
"label": "Missing Siding",
"custom_tag": false,
"hidden_tag": true
}
]
}
Team Members
GETGet Team Members
GET https://api.dealmachine.com/public/v1/team-members/?limit=25&after=0
This request returns the team's members. You can paginate through them using limit and after.
Example response — Get Team Members (200)
{
"error": null,
"data": [
{
"id": 6434,
"name": "Dave Oster",
"firstname": "Dave",
"lastname": "Oster",
"email": "dave@dealmachine.com",
"phone": "(314) 775-3104",
"image": "https://dealmachine.s3.amazonaws.com/deals/user_6434/3n5x96qv.jpg"
},
{
"id": 481942,
"name": null,
"firstname": "",
"lastname": "",
"email": "dave+testmeout@dealmachine.com",
"phone": "",
"image": null
},
{
"id": 525287,
"name": "Asdf Asdf",
"firstname": "Asdf",
"lastname": "Asdf",
"email": "dave+alsdkfjasdlkfj@dealmachine.com",
"phone": "",
"image": null
},
{
"id": 525286,
"name": "D O",
"firstname": "D",
"lastname": "O",
"email": "dave+invet@dealmachine.com",
"phone": "",
"image": null
},
{
"id": 6487,
"name": "Daniel Oster",
"firstname": "Daniel",
"lastname": "Oster",
"email": "danieljoster@gmail.com",
"phone": null,
"image": null
},
{
"id": 508751,
"name": "Dave Oster",
"firstname": "Dave",
"lastname": "Oster",
"email": "dave+invitetest123@dealmachine.com",
"phone": "",
"image": null
},
{
"id": 524170,
"name": "Dave Oster",
"firstname": "Dave",
"lastname": "Oster",
"email": "dave+invitedriver@dealmachine.com",
"phone": "",
"image": null
},
{
"id": 15225,
"name": "Dave Ostertest",
"firstname": "Dave",
"lastname": "Ostertest",
"email": "daveosterjr+dealfinder@gmail.com",
"phone": "(314) 775-1111",
"image": "https://www.gravatar.com/avatar/1f4c6b81cb1d5b499b00c5d5d95cb27d?s=100.jpg&d=mm"
},
{
"id": 6441,
"name": "Matt Kamp",
"firstname": "Matt",
"lastname": "Kamp",
"email": "dave+matt@dealmachine.com",
"phone": null,
"image": "https://dealmachine.s3.amazonaws.com/deals%2Fuser_6441%2F15195054566493pvQ8sfXFC_c8902793-b524-40d2-ad0e-10398748fe99.jpg"
},
{
"id": 525283,
"name": "Asdf Asdf",
"firstname": "Asdf",
"lastname": "Asdf",
"email": "dave+invitetest234@dealmachine.com",
"phone": "",
"image": null
},
{
"id": 502436,
"name": "Dave Driver",
"firstname": "Dave",
"lastname": "Driver",
"email": "dave+driver@dealmachine.com",
"phone": "",
"image": null
},
{
"id": 326142,
"name": "Dave Oster",
"firstname": "Dave",
"lastname": "Oster",
"email": "daveosterjr+df@gmail.com",
"phone": "(314) 775-3104",
"image": null
},
{
"id": 525276,
"name": "Dave Oster",
"firstname": "Dave",
"lastname": "Oster",
"email": "dave+thisismydriver@dealmachine.com",
"phone": "",
"image": null
},
{
"id": 525280,
"name": "Dave Oster",
"firstname": "Dave",
"lastname": "Oster",
"email": "dave+thisismydriver2@dealmachine.com",
"phone": "",
"image": null
},
{
"id": 525285,
"name": "Dave Oster",
"firstname": "Dave",
"lastname": "Oster",
"email": "dave+hellloo@dealmachine.com",
"phone": "",
"image": null
}
]
}